Author Jon Oberheide
CVE 2010-2959
Kernels 2.6.18, 2.6.19, 2.6.20, 2.6.21, 2.6.22, 2.6.23, 2.6.24, 2.6.25, 2.6.26, 2.6.27, 2.6.28, 2.6.29, 2.6.30, 2.6.31, 2.6.32, 2.6.33, 2.6.34, 2.6.35, 2.6.36
Reference http://www.exploit-db.com/exploits/14814/
Executable Exploit Source
can_bcm (SHA1: ababcbab47cd3c4dd6d536915c55e2786de0ac96) can_bcm.c (SHA1: 82a75be1b1e6a38f4bdf6e4417f7b5d1ba36020b)
This binary has been verified on:
  • Ubuntu 10.04.1 - 2.6.32-24-generic #39-Ubuntu x86_32
Exploit worked also for other kernel? Let us know: exploits[at]kernel-exploits.com